#ifndef USERSCSI_SAM_H
#define USERSCSI_SAM_H

/*
 * Copyright (C) 2002 Bjrn Englund
 */

/*** SAM-2 (T10/1157-D rev 23) ****/

/* Table 22 - Status codes */
typedef enum {
  Status_GOOD = 0x00,
  Status_CHECK_CONDITION = 0x02,
  Status_CONDITION_MET = 0x04,
  Status_BUSY = 0x08,
  Status_INTERMEDIATE = 0x10,
  Status_INTERMEDIATE_CONDITION_MET = 0x14,
  Status_RESERVATION_CONFLICT = 0x18,
  Status_Obsolete1 = 0x22,
  Status_TASK_SET_FULL = 0x28,
  Status_ACA_ACTIVE = 0x30,
  Status_TASK_ABORTED = 0x40
} StatusCode_t;


/*** end SAM-2 ***/

#endif /* USERSCSI_SAM_H */
