#ifndef USERSCSI_MMC_H
#define USERSCSI_MMC_H

/*
 * Copyright (C) 2002 Bjrn Englund
 */

/*** MMC-2 ***/

#define READ_CAPACITY 0x25
#define GET_CONFIGURATION 0x46
#define READ_DVD_STRUCTURE 0xAD
#define READ_DVD_STRUCTURE_FORMAT_PHYSICAL     0x00
#define READ_DVD_STRUCTURE_FORMAT_COPYRIGHT    0x01
#define READ_DVD_STRUCTURE_FORMAT_DISCKEY      0x02
#define READ_DVD_STRUCTURE_FORMAT_BCA          0x03
#define READ_DVD_STRUCTURE_FORMAT_MANUFACTURING 0x04
#define READ_DVD_STRUCTURE_FORMAT_COPYRIGHT_MANAGEMENT 0x05
#define READ_DVD_STRUCTURE_FORMAT_MEDIA_IDENTIFIER 0x06
#define READ_DVD_STRUCTURE_FORMAT_MEDIA_KEY_BLOCK 0x07
#define READ_DVD_STRUCTURE_FORMAT_DDS          0x08
#define READ_DVD_STRUCTURE_FORMAT_DVD_RAM_MEDIUM_STATUS 0x09
#define READ_DVD_STRUCTURE_FORMAT_DVD_RAM_SPARE_AREA 0xA0
#define READ_DVD_STRUCTURE_FORMAT_RMD_LAST_BORDER_OUT 0x0C
#define READ_DVD_STRUCTURE_FORMAT_RMD          0x0D
#define READ_DVD_STRUCTURE_FORMAT_PRE_REC_LEAD_IN 0x0E
#define READ_DVD_STRUCTURE_FORMAT_UDI          0x0F
#define READ_DVD_STRUCTURE_FORMAT_DCB          0x30
#define READ_DVD_STRUCTURE_FORMAT_WRITE_PROTECTION 0xC0
#define READ_DVD_STRUCTURE_FORMAT_STRUCTURE_LIST 0xFF

#define REPORT_KEY 0xA4
#define REPORT_KEY_FORMAT_RPC_STATE 0x08

#define READ_10 0x28
#define READ_12 0xA8

/*** end MMC-2 ***/

#endif /* USERSCSI_MMC_H */
